import { ComponentFixture, TestBed, waitForAsync } from '@angular/core/testing';
import { CompSwiperComponent } from './comp-swiper.component';
// 测试 CompSwiperComponent 组件
describe('CompSwiperComponent', () => {
  let component: CompSwiperComponent;// 组件实例
  let fixture: ComponentFixture<CompSwiperComponent>;// 组件测试容器

  beforeEach(waitForAsync(() => {
    TestBed.configureTestingModule({
      imports: [CompSwiperComponent],// 导入组件
    }).compileComponents();

    fixture = TestBed.createComponent(CompSwiperComponent); // 创建组件实例
    component = fixture.componentInstance;// 获取组件实例
    fixture.detectChanges();// 检测更改

  }));
  // 测试：组件是否正确创建
  it('should create', () => {
    expect(component).toBeTruthy();// 断言组件实例存在
  });
});